E-MailRelay

Classes | Functions | Variables
G::LogOutputImp Namespace Reference

An implementation namespace for G::LogOutput. More...

## Classes
struct | ostream
| An ostream using a G::omembuf streambuf. More...

## Functions
std::ostream & | ostream1 ()
std::ostream & | ostream2 ()
std::size_t | tellp (std::ostream &s)
int | decode (G::LogOutput::SyslogFacility facility)
int | decode (G::Log::Severity severity)
int | mode (G::LogOutput::SyslogFacility facility, G::Log::Severity severity)

## Variables
constexpr int | stderr_fileno = 2
LogOutput * | this_ = nullptr
constexpr std::size_t | margin = 7U
constexpr std::size_t | buffer_base_size = limits::log + 40U
std::array< char, buffer_base_size+margin > | buffer_1
std::array< char, 8 > | buffer_2

## Detailed Description

An implementation namespace for G::LogOutput.

## Function Documentation

## ◆ decode() [1/2]

int G::LogOutputImp::decode | ( | G::Log::Severity | severity | ) |

Definition at line 47 of file glogoutput_unix.cpp.

## ◆ decode() [2/2]

int G::LogOutputImp::decode | ( | G::LogOutput::SyslogFacility | facility | ) |

Definition at line 31 of file glogoutput_unix.cpp.

## ◆ mode()

int G::LogOutputImp::mode | ( | G::LogOutput::SyslogFacility | facility,
|  | G::Log::Severity | severity
| ) |  |

Definition at line 55 of file glogoutput_unix.cpp.

## ◆ ostream1()

std::ostream & G::LogOutputImp::ostream1 | ( |  | ) |

Definition at line 54 of file glogoutput.cpp.

## ◆ ostream2()

std::ostream & G::LogOutputImp::ostream2 | ( |  | ) |

Definition at line 61 of file glogoutput.cpp.

## ◆ tellp()

std::size_t G::LogOutputImp::tellp | ( | std::ostream & | s | ) |

Definition at line 69 of file glogoutput.cpp.

## Variable Documentation

## ◆ buffer_1

std::array<char,buffer_base_size+margin> G::LogOutputImp::buffer_1

Definition at line 47 of file glogoutput.cpp.

## ◆ buffer_2

std::array<char,8> G::LogOutputImp::buffer_2

Definition at line 48 of file glogoutput.cpp.

## ◆ buffer_base_size

constexpr std::size_t G::LogOutputImp::buffer_base_size = limits::log + 40U
| constexpr

Definition at line 46 of file glogoutput.cpp.

## ◆ margin

constexpr std::size_t G::LogOutputImp::margin = 7U
| constexpr

Definition at line 45 of file glogoutput.cpp.

## ◆ stderr_fileno

constexpr int G::LogOutputImp::stderr_fileno = 2
| constexpr

Definition at line 43 of file glogoutput.cpp.

## ◆ this_

LogOutput* G::LogOutputImp::this_ = nullptr

Definition at line 44 of file glogoutput.cpp.